<!-- src/app/profile/profile.component.html -->
<app-navbar></app-navbar>

<!-- src/app/profile/profile.component.html -->

<div class="container mt-5">
    <div class="profile-card p-4 shadow">
        <h2 class="card-title text-primary mb-4">Profile Page</h2>

        <!-- Profile Details Section -->
        <div class="profile-details">
            <div class="profile-image-container">
                <img src="assets/profile.png" alt="Profile Image" class="profile-image">
            </div>

            <div class="profile-info">
                <p><strong>Name:</strong> John Doe</p>
                <p><strong>Email:</strong> john.doe@example.com</p>
                <p><strong>Gender :</strong> Male or Female</p>
                <!-- Add more profile details as needed -->
            </div>
        </div>

        <!-- Editable Form Section -->
        <div *ngIf="editing" class="editable-section mt-4">
            <form>
                <div class="form-group">
                    <label for="editName">Name:</label>
                    <input id="editName" class="form-control" [(ngModel)]="editedName">
                </div>
                <div class="form-group">
                    <label for="editEmail">Email:</label>
                    <input id="editEmail" class="form-control" [(ngModel)]="editedEmail">
                </div>
                <div class="form-group">
                    <label for="editEmail">Gender:</label>
                    <input id="editEmail" class="form-control" [(ngModel)]="editedEmail">
                </div>
                <!-- Additional form fields as needed -->

                <div class="form-buttons mt-3">
                    <button type="button" class="btn btn-primary" (click)="updateProfile()">Update</button>
                    <button type="button" class="btn btn-danger" (click)="deleteProfile()">Delete</button>
                    <button type="button" class="btn btn-secondary" (click)="clearForm()">Clear</button>
                </div>
            </form>
        </div>

        <!-- Action Buttons Section -->
        <div class="action-buttons mt-4">
            <button *ngIf="!editing" type="button" class="btn btn-primary" (click)="editProfile()">Edit</button>
            <button *ngIf="editing" type="button" class="btn btn-success" (click)="saveProfile()">Save</button>
            <button type="button" class="btn btn-warning" (click)="logout()">Logout</button>
        </div>
    </div>
</div>